### Method

# Gdk Toplevelset_startup_id

#### Declaration [src]

    void
    gdk_toplevel_set_startup_id (
      GdkToplevel* toplevel,
      const char* startup_id
    )

#### Description [src]

Sets the startup notification ID.

When using GTK, typically you should use gtk_window_set_startup_id() instead of this low-level function.

Sets property | `Gdk.Toplevel:startup-id`

#### Parameters

`startup_id`

  Type: `const char*`

  A string with startup-notification identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.